/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03088
 |           ALCOHOL AND DRUG SERVICES STUDY (ADSS), 1996-1999:
 |                            [UNITED STATES]
 |                       (DATASET 0012: COST STUDY)
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (OWNSHIP = -98 OR OWNSHIP = -99) THEN OWNSHIP = .;
   IF (STUDY = -98 OR STUDY = -99) THEN STUDY = .;
   IF (NQ3 = -98 OR NQ3 = -99) THEN NQ3 = .;
   IF (SQ3 = -98 OR SQ3 = -99) THEN SQ3 = .;
   IF (OADMIT = -98 OR OADMIT = -99) THEN OADMIT = .;
   IF (NQA = -98 OR NQA = -99) THEN NQA = .;
   IF (SQA = -98 OR SQA = -99) THEN SQA = .;
   IF (BIG_N = -98 OR BIG_N = -99) THEN BIG_N = .;
   IF (BIG_N2 = -98 OR BIG_N2 = -99) THEN BIG_N2 = .;
   IF (NQD = -98 OR NQD = -99) THEN NQD = .;
   IF (NQD2 = -98 OR NQD2 = -99) THEN NQD2 = .;
   IF (SQD = -98 OR SQD = -99) THEN SQD = .;
   IF (NQL = -98.00 OR NQL = -99.00) THEN NQL = .;
   IF (SQL = -98 OR SQL = -99) THEN SQL = .;
   IF (NQB = -98 OR NQB = -99) THEN NQB = .;
   IF (SQB = -98 OR SQB = -99) THEN SQB = .;
   IF (NQ55 = -98 OR NQ55 = -99) THEN NQ55 = .;
   IF (SQ55 = -98 OR SQ55 = -99) THEN SQ55 = .;
   IF (SQ52 = -98 OR SQ52 = -99) THEN SQ52 = .;
   IF (NQI = -98.00 OR NQI = -99.00) THEN NQI = .;
   IF (SQI = -98 OR SQI = -99) THEN SQI = .;
   IF (NQG1 = -98.0 OR NQG1 = -99.0) THEN NQG1 = .;
   IF (SQG1 = -98 OR SQG1 = -99) THEN SQG1 = .;
   IF (NQG2 = -98.0 OR NQG2 = -99.0) THEN NQG2 = .;
   IF (SQG2 = -98 OR SQG2 = -99) THEN SQG2 = .;
   IF (NQG3 = -98.0 OR NQG3 = -99.0) THEN NQG3 = .;
   IF (SQG3 = -98 OR SQG3 = -99) THEN SQG3 = .;
   IF (NQG4 = -98.0 OR NQG4 = -99.0) THEN NQG4 = .;
   IF (SQG4 = -98 OR SQG4 = -99) THEN SQG4 = .;
   IF (NQG5 = -98.00 OR NQG5 = -99.00) THEN NQG5 = .;
   IF (SQG5 <= -1) THEN SQG5 = .;
   IF (NQGS = -98.00 OR NQGS = -99.00) THEN NQGS = .;
   IF (SQGS <= -1) THEN SQGS = .;
   IF (NGRPHRS = -98.00 OR NGRPHRS = -99.00) THEN NGRPHRS = .;
   IF (SGRPHRS = -98 OR SGRPHRS = -99) THEN SGRPHRS = .;
   IF (NQ47A1 = -98 OR NQ47A1 = -99) THEN NQ47A1 = .;
   IF (SQ47A1 = -98 OR SQ47A1 = -99) THEN SQ47A1 = .;
   IF (NQ47B1 = -98 OR NQ47B1 = -99) THEN NQ47B1 = .;
   IF (SQ47B1 = -98 OR SQ47B1 = -99) THEN SQ47B1 = .;
   IF (NQ47C1 = -98 OR NQ47C1 = -99) THEN NQ47C1 = .;
   IF (SQ47C1 = -98 OR SQ47C1 = -99) THEN SQ47C1 = .;
   IF (NQ47D1 = -98 OR NQ47D1 = -99) THEN NQ47D1 = .;
   IF (SQ47D1 = -98 OR SQ47D1 = -99) THEN SQ47D1 = .;
   IF (NQ47E1 = -98.0 OR NQ47E1 = -99.0) THEN NQ47E1 = .;
   IF (SQ47E1 = -98 OR SQ47E1 = -99) THEN SQ47E1 = .;
   IF (NQ47F1 = -98 OR NQ47F1 = -99) THEN NQ47F1 = .;
   IF (SQ47F1 = -98 OR SQ47F1 = -99) THEN SQ47F1 = .;
   IF (NQ47G1 = -98 OR NQ47G1 = -99) THEN NQ47G1 = .;
   IF (SQ47G1 = -98 OR SQ47G1 = -99) THEN SQ47G1 = .;
   IF (NQ47H1 = -98.0 OR NQ47H1 = -99.0) THEN NQ47H1 = .;
   IF (SQ47H1 = -98 OR SQ47H1 = -99) THEN SQ47H1 = .;
   IF (NQ49A = -98.00 OR NQ49A = -99.00) THEN NQ49A = .;
   IF (SQ49A = -98 OR SQ49A = -99) THEN SQ49A = .;
   IF (NQ49B = -98.00 OR NQ49B = -99.00) THEN NQ49B = .;
   IF (SQ49B = -98 OR SQ49B = -99) THEN SQ49B = .;
   IF (NQ49C = -98.00 OR NQ49C = -99.00) THEN NQ49C = .;
   IF (SQ49C = -98 OR SQ49C = -99) THEN SQ49C = .;
   IF (NQ49D = -98.00 OR NQ49D = -99.00) THEN NQ49D = .;
   IF (SQ49D = -98 OR SQ49D = -99) THEN SQ49D = .;
   IF (NQ49E = -98.00 OR NQ49E = -99.00) THEN NQ49E = .;
   IF (SQ49E = -98 OR SQ49E = -99) THEN SQ49E = .;
   IF (NQ49F = -98.00 OR NQ49F = -99.00) THEN NQ49F = .;
   IF (SQ49F = -98 OR SQ49F = -99) THEN SQ49F = .;
   IF (NQ49G = -98.00 OR NQ49G = -99.00) THEN NQ49G = .;
   IF (SQ49G = -98 OR SQ49G = -99) THEN SQ49G = .;
   IF (NQ49H = -98.00 OR NQ49H = -99.00) THEN NQ49H = .;
   IF (SQ49H = -98 OR SQ49H = -99) THEN SQ49H = .;
   IF (NQ47A4 = -98.0 OR NQ47A4 = -99.0) THEN NQ47A4 = .;
   IF (SQ47A4 = -98 OR SQ47A4 = -99) THEN SQ47A4 = .;
   IF (NQ47B4 = -98.0 OR NQ47B4 = -99.0) THEN NQ47B4 = .;
   IF (SQ47B4 = -98 OR SQ47B4 = -99) THEN SQ47B4 = .;
   IF (NQ47C4 = -98.0 OR NQ47C4 = -99.0) THEN NQ47C4 = .;
   IF (SQ47C4 = -98 OR SQ47C4 = -99) THEN SQ47C4 = .;
   IF (NQ47D4 = -98.0 OR NQ47D4 = -99.0) THEN NQ47D4 = .;
   IF (SQ47D4 = -98 OR SQ47D4 = -99) THEN SQ47D4 = .;
   IF (NQ47E4 = -98.00 OR NQ47E4 = -99.00) THEN NQ47E4 = .;
   IF (SQ47E4 = -98 OR SQ47E4 = -99) THEN SQ47E4 = .;
   IF (NQ47F4 = -98.00 OR NQ47F4 = -99.00) THEN NQ47F4 = .;
   IF (SQ47F4 = -98 OR SQ47F4 = -99) THEN SQ47F4 = .;
   IF (NQ47G4 = -98.00 OR NQ47G4 = -99.00) THEN NQ47G4 = .;
   IF (SQ47G4 = -98 OR SQ47G4 = -99) THEN SQ47G4 = .;
   IF (NQ47H4 = -98.00 OR NQ47H4 = -99.00) THEN NQ47H4 = .;
   IF (SQ47H4 = -98 OR SQ47H4 = -99) THEN SQ47H4 = .;
   IF (NQ47A23 = -98 OR NQ47A23 = -99) THEN NQ47A23 = .;
   IF (SQ47A23 <= -1) THEN SQ47A23 = .;
   IF (NQ47B23 = -98 OR NQ47B23 = -99) THEN NQ47B23 = .;
   IF (SQ47B23 = -98 OR SQ47B23 = -99) THEN SQ47B23 = .;
   IF (NQ47C23 = -98 OR NQ47C23 = -99) THEN NQ47C23 = .;
   IF (SQ47C23 = -98 OR SQ47C23 = -99) THEN SQ47C23 = .;
   IF (NQ47D23 = -98 OR NQ47D23 = -99) THEN NQ47D23 = .;
   IF (SQ47D23 = -98 OR SQ47D23 = -99) THEN SQ47D23 = .;
   IF (NQ47E23 = -98 OR NQ47E23 = -99) THEN NQ47E23 = .;
   IF (SQ47E23 = -98 OR SQ47E23 = -99) THEN SQ47E23 = .;
   IF (NQ47F23 = -98 OR NQ47F23 = -99) THEN NQ47F23 = .;
   IF (SQ47F23 = -98 OR SQ47F23 = -99) THEN SQ47F23 = .;
   IF (NQ47G23 = -98 OR NQ47G23 = -99) THEN NQ47G23 = .;
   IF (SQ47G23 = -98 OR SQ47G23 = -99) THEN SQ47G23 = .;
   IF (NQ47H23 = -98 OR NQ47H23 = -99) THEN NQ47H23 = .;
   IF (SQ47H23 = -98 OR SQ47H23 = -99) THEN SQ47H23 = .;
   IF (NQ49PA = -98.00 OR NQ49PA = -99.00) THEN NQ49PA = .;
   IF (SQ49PA = -98 OR SQ49PA = -99) THEN SQ49PA = .;
   IF (NQ49PB = -98.00 OR NQ49PB = -99.00) THEN NQ49PB = .;
   IF (SQ49PB = -98 OR SQ49PB = -99) THEN SQ49PB = .;
   IF (NQ49PC = -98.00 OR NQ49PC = -99.00) THEN NQ49PC = .;
   IF (SQ49PC = -98 OR SQ49PC = -99) THEN SQ49PC = .;
   IF (NQ49PD = -98.00 OR NQ49PD = -99.00) THEN NQ49PD = .;
   IF (SQ49PD = -98 OR SQ49PD = -99) THEN SQ49PD = .;
   IF (NQ49PE = -98.00 OR NQ49PE = -99.00) THEN NQ49PE = .;
   IF (SQ49PE = -98 OR SQ49PE = -99) THEN SQ49PE = .;
   IF (NQ49PF = -98.00 OR NQ49PF = -99.00) THEN NQ49PF = .;
   IF (SQ49PF = -98 OR SQ49PF = -99) THEN SQ49PF = .;
   IF (NQ49PG = -98.00 OR NQ49PG = -99.00) THEN NQ49PG = .;
   IF (SQ49PG = -98 OR SQ49PG = -99) THEN SQ49PG = .;
   IF (NQ49PH = -98.00 OR NQ49PH = -99.00) THEN NQ49PH = .;
   IF (SQ49PH = -98 OR SQ49PH = -99) THEN SQ49PH = .;
   IF (NQ47A4R = -98.00 OR NQ47A4R = -99.00) THEN NQ47A4R = .;
   IF (SQ47A4R = -98 OR SQ47A4R = -99) THEN SQ47A4R = .;
   IF (NQ47B4R = -98.00 OR NQ47B4R = -99.00) THEN NQ47B4R = .;
   IF (SQ47B4R = -98 OR SQ47B4R = -99) THEN SQ47B4R = .;
   IF (NQ47C4R = -98.00 OR NQ47C4R = -99.00) THEN NQ47C4R = .;
   IF (SQ47C4R = -98 OR SQ47C4R = -99) THEN SQ47C4R = .;
   IF (NQ47D4R = -98.00 OR NQ47D4R = -99.00) THEN NQ47D4R = .;
   IF (SQ47D4R = -98 OR SQ47D4R = -99) THEN SQ47D4R = .;
   IF (NQ47E4R = -98.00 OR NQ47E4R = -99.00) THEN NQ47E4R = .;
   IF (SQ47E4R = -98 OR SQ47E4R = -99) THEN SQ47E4R = .;
   IF (NQ47F4R = -98.00 OR NQ47F4R = -99.00) THEN NQ47F4R = .;
   IF (SQ47F4R = -98 OR SQ47F4R = -99) THEN SQ47F4R = .;
   IF (NQ47G4R = -98.00 OR NQ47G4R = -99.00) THEN NQ47G4R = .;
   IF (SQ47G4R = -98 OR SQ47G4R = -99) THEN SQ47G4R = .;
   IF (NQ47H4R = -98.00 OR NQ47H4R = -99.00) THEN NQ47H4R = .;
   IF (SQ47H4R = -98 OR SQ47H4R = -99) THEN SQ47H4R = .;
   IF (NQ50 = -98.0000 OR NQ50 = -99.0000) THEN NQ50 = .;
   IF (SQ50 = -98 OR SQ50 = -99) THEN SQ50 = .;
   IF (SNB12 = -98 OR SNB12 = -99) THEN SNB12 = .;
   IF (NC21 = -98 OR NC21 = -99) THEN NC21 = .;
   IF (SNC21 = -98 OR SNC21 = -99) THEN SNC21 = .;
   IF (NC22 = -98 OR NC22 = -99) THEN NC22 = .;
   IF (SNC22 = -98 OR SNC22 = -99) THEN SNC22 = .;
   IF (NC3 = -98.00 OR NC3 = -99.00) THEN NC3 = .;
   IF (SC3 = -98 OR SC3 = -99) THEN SC3 = .;
   IF (ND14 = -98 OR ND14 = -99) THEN ND14 = .;
   IF (SD14 = -98 OR SD14 = -99) THEN SD14 = .;
   IF (SD7 = -98 OR SD7 = -99) THEN SD7 = .;
   IF (ND15A = -98.0 OR ND15A = -99.0) THEN ND15A = .;
   IF (SD15A = -98 OR SD15A = -99) THEN SD15A = .;
   IF (ND15AP = -98.000 OR ND15AP = -99.000) THEN ND15AP = .;
   IF (SD15AP = -98 OR SD15AP = -99) THEN SD15AP = .;
   IF (ND15A_D = -98 OR ND15A_D = -99) THEN ND15A_D = .;
   IF (ND15A_P = -98.0000 OR ND15A_P = -99.0000) THEN ND15A_P = .;
   IF (ND15B = -98 OR ND15B = -99) THEN ND15B = .;
   IF (SD15B = -98 OR SD15B = -99) THEN SD15B = .;
   IF (ND15BP = -98.000 OR ND15BP = -99.000) THEN ND15BP = .;
   IF (SD15BP = -98 OR SD15BP = -99) THEN SD15BP = .;
   IF (ND15B_D = -98.0 OR ND15B_D = -99.0) THEN ND15B_D = .;
   IF (ND15B_P = -98.000 OR ND15B_P = -99.000) THEN ND15B_P = .;
   IF (ND15C = -98.0 OR ND15C = -99.0) THEN ND15C = .;
   IF (SD15C = -98 OR SD15C = -99) THEN SD15C = .;
   IF (ND15CP = -98.0000 OR ND15CP = -99.0000) THEN ND15CP = .;
   IF (SD15CP = -98 OR SD15CP = -99) THEN SD15CP = .;
   IF (ND15C_D = -98.0 OR ND15C_D = -99.0) THEN ND15C_D = .;
   IF (ND15C_P = -98.0000 OR ND15C_P = -99.0000) THEN ND15C_P = .;
   IF (ND15D = -98 OR ND15D = -99) THEN ND15D = .;
   IF (SD15D = -98 OR SD15D = -99) THEN SD15D = .;
   IF (ND15DP = -98.0000 OR ND15DP = -99.0000) THEN ND15DP = .;
   IF (SD15DP = -98 OR SD15DP = -99) THEN SD15DP = .;
   IF (ND15D_D = -98.0 OR ND15D_D = -99.0) THEN ND15D_D = .;
   IF (ND15D_P = -98.0000 OR ND15D_P = -99.0000) THEN ND15D_P = .;
   IF (V1K17 = -98.0000 OR V1K17 = -99.0000) THEN V1K17 = .;
   IF (V1K20 = -98.0000 OR V1K20 = -99.0000) THEN V1K20 = .;
   IF (V1K23 = -98.0000 OR V1K23 = -99.0000) THEN V1K23 = .;
   IF (N1C26 = -98 OR N1C26 = -99) THEN N1C26 = .;
   IF (N1G26 = -98.0 OR N1G26 = -99.0) THEN N1G26 = .;
   IF (V1K26 = -98.0000 OR V1K26 = -99.0000) THEN V1K26 = .;
   IF (N1C27 = -98 OR N1C27 = -99) THEN N1C27 = .;
   IF (N1G27 = -98 OR N1G27 = -99) THEN N1G27 = .;
   IF (V1K27 = -98.0000 OR V1K27 = -99.0000) THEN V1K27 = .;
   IF (N1C33 = -98.0000 OR N1C33 = -99.0000) THEN N1C33 = .;
   IF (N1G33 = -98.0000 OR N1G33 = -99.0000) THEN N1G33 = .;
   IF (V1K33 = -98.0000 OR V1K33 = -99.0000) THEN V1K33 = .;
   IF (N1C34 = -98.0000 OR N1C34 = -99.0000) THEN N1C34 = .;
   IF (N1G34 = -98.0000 OR N1G34 = -99.0000) THEN N1G34 = .;
   IF (V1K34 = -98.0000 OR V1K34 = -99.0000) THEN V1K34 = .;
   IF (N1C35 = -98.0000 OR N1C35 = -99.0000) THEN N1C35 = .;
   IF (N1G35 = -98.00 OR N1G35 = -99.00) THEN N1G35 = .;
   IF (V1K35 = -98.00 OR V1K35 = -99.00) THEN V1K35 = .;
   IF (V1C37 = -98.0000 OR V1C37 = -99.0000) THEN V1C37 = .;
   IF (V1C38 = -98.0000 OR V1C38 = -99.0000) THEN V1C38 = .;
   IF (V2F9 = -98.0000 OR V2F9 = -99.0000) THEN V2F9 = .;
   IF (V2F12 = -98.0000 OR V2F12 = -99.0000) THEN V2F12 = .;
   IF (U2B22 = -98.0 OR U2B22 = -99.0) THEN U2B22 = .;
   IF (U2D22 = -98 OR U2D22 = -99) THEN U2D22 = .;
   IF (V2F22 = -98.0000 OR V2F22 = -99.0000) THEN V2F22 = .;
   IF (U2B23 = -98.0000 OR U2B23 = -99.0000) THEN U2B23 = .;
   IF (U2D23 = -98.0000 OR U2D23 = -99.0000) THEN U2D23 = .;
   IF (U2B25 = -98.0 OR U2B25 = -99.0) THEN U2B25 = .;
   IF (U2D25 = -98 OR U2D25 = -99) THEN U2D25 = .;
   IF (V2F25 = -98.0000 OR V2F25 = -99.0000) THEN V2F25 = .;
   IF (U2B26 = -98.0000 OR U2B26 = -99.0000) THEN U2B26 = .;
   IF (U2D26 = -98.0000 OR U2D26 = -99.0000) THEN U2D26 = .;
   IF (U2B28 = -98.0 OR U2B28 = -99.0) THEN U2B28 = .;
   IF (U2B29 = -98.0000 OR U2B29 = -99.0000) THEN U2B29 = .;
   IF (U2B30 = -98.0000 OR U2B30 = -99.0000) THEN U2B30 = .;
   IF (U2B31 = -98.00 OR U2B31 = -99.00) THEN U2B31 = .;
   IF (N3N12 = -98.0 OR N3N12 = -99.0) THEN N3N12 = .;
   IF (N3N13 = -98.0 OR N3N13 = -99.0) THEN N3N13 = .;
   IF (N3N14 = -98.0 OR N3N14 = -99.0) THEN N3N14 = .;
   IF (N3N15 = -98.0 OR N3N15 = -99.0) THEN N3N15 = .;
   IF (N3N16 = -98.0 OR N3N16 = -99.0) THEN N3N16 = .;
   IF (N3N17 = -98.0 OR N3N17 = -99.0) THEN N3N17 = .;
   IF (N3N18 = -98.0 OR N3N18 = -99.0) THEN N3N18 = .;
   IF (N3N19 = -98.0 OR N3N19 = -99.0) THEN N3N19 = .;
   IF (N3N23 = -98.0 OR N3N23 = -99.0) THEN N3N23 = .;
   IF (N3N24 = -98.0 OR N3N24 = -99.0) THEN N3N24 = .;
   IF (N3N25 = -98.0 OR N3N25 = -99.0) THEN N3N25 = .;
   IF (N3N26 = -98.0 OR N3N26 = -99.0) THEN N3N26 = .;
   IF (N3N27 = -98.0 OR N3N27 = -99.0) THEN N3N27 = .;
   IF (N3N28 = -98.0 OR N3N28 = -99.0) THEN N3N28 = .;
   IF (N3N29 = -98.0 OR N3N29 = -99.0) THEN N3N29 = .;
   IF (N3N30 = -98.0 OR N3N30 = -99.0) THEN N3N30 = .;
   IF (N3B32 = -98.00 OR N3B32 = -99.00) THEN N3B32 = .;
   IF (N3N32 = -98.0 OR N3N32 = -99.0) THEN N3N32 = .;
   IF (N3N33 = -98.0 OR N3N33 = -99.0) THEN N3N33 = .;
   IF (N3N34 = -98.0 OR N3N34 = -99.0) THEN N3N34 = .;
   IF (P3N38 = -98.0000 OR P3N38 = -99.0000) THEN P3N38 = .;
   IF (N3J40 = -98.0 OR N3J40 = -99.0) THEN N3J40 = .;
   IF (P3N40 = -98.0000 OR P3N40 = -99.0000) THEN P3N40 = .;
   IF (N3J42 = -98.0 OR N3J42 = -99.0) THEN N3J42 = .;
   IF (P3N42 = -98.0000 OR P3N42 = -99.0000) THEN P3N42 = .;
   IF (N3J44 = -98.0 OR N3J44 = -99.0) THEN N3J44 = .;
   IF (P3N44 = -98.0000 OR P3N44 = -99.0000) THEN P3N44 = .;
   IF (N3J46 = -98.0 OR N3J46 = -99.0) THEN N3J46 = .;
   IF (N4N7 = -98.0 OR N4N7 = -99.0) THEN N4N7 = .;
   IF (P3N46 = -98.0000 OR P3N46 = -99.0000) THEN P3N46 = .;
   IF (N4B8 = -98.0000 OR N4B8 = -99.0000) THEN N4B8 = .;
   IF (N4F8 = -98.0 OR N4F8 = -99.0) THEN N4F8 = .;
   IF (N4B9 = -98.0000 OR N4B9 = -99.0000) THEN N4B9 = .;
   IF (N4F9 = -98.0 OR N4F9 = -99.0) THEN N4F9 = .;
   IF (N4J9 = -98.0000 OR N4J9 = -99.0000) THEN N4J9 = .;
   IF (N4J12 = -98.0000 OR N4J12 = -99.0000) THEN N4J12 = .;
   IF (N4N12 = -98.0 OR N4N12 = -99.0) THEN N4N12 = .;
   IF (N4N17 = -98.00 OR N4N17 = -99.00) THEN N4N17 = .;
   IF (N4N18 = -98.00 OR N4N18 = -99.00) THEN N4N18 = .;
   IF (N4N19 = -98.00 OR N4N19 = -99.00) THEN N4N19 = .;
   IF (N4N20 = -98.000 OR N4N20 = -99.000) THEN N4N20 = .;
   IF (N4N21 = -98.0000 OR N4N21 = -99.0000) THEN N4N21 = .;
   IF (N4N22 = -98.0000 OR N4N22 = -99.0000) THEN N4N22 = .;
   IF (N4F24 = -98.0000 OR N4F24 = -99.0000) THEN N4F24 = .;
   IF (N4J24 = -98.0000 OR N4J24 = -99.0000) THEN N4J24 = .;
   IF (N4B27 = -98.0000 OR N4B27 = -99.0000) THEN N4B27 = .;
   IF (N4N27 = -98.0 OR N4N27 = -99.0) THEN N4N27 = .;
   IF (N4N30 = -98.0 OR N4N30 = -99.0) THEN N4N30 = .;
   IF (N4N31 = -98.0000 OR N4N31 = -99.0000) THEN N4N31 = .;
   IF (N4N32 = -98.0000 OR N4N32 = -99.0000) THEN N4N32 = .;
   IF (N4J36 = -98.0 OR N4J36 = -99.0) THEN N4J36 = .;
   IF (N4N36 = -98.0 OR N4N36 = -99.0) THEN N4N36 = .;
   IF (N4N38 = -98.0 OR N4N38 = -99.0) THEN N4N38 = .;
   IF (N4N42 = -98.0 OR N4N42 = -99.0) THEN N4N42 = .;
   IF (V5F28 = -98.0000 OR V5F28 = -99.0000) THEN V5F28 = .;
   IF (V5F30 = -98.0000 OR V5F30 = -99.0000) THEN V5F30 = .;
   IF (V5F32 = -98.0000 OR V5F32 = -99.0000) THEN V5F32 = .;
   IF (N5D36 = -98.0000 OR N5D36 = -99.0000) THEN N5D36 = .;
   IF (V5F36 = -98.0000 OR V5F36 = -99.0000) THEN V5F36 = .;
   IF (ABVISIT = -98.0000 OR ABVISIT = -99.0000) THEN ABVISIT = .;
   IF (TRT_DUR = -98 OR TRT_DUR = -99) THEN TRT_DUR = .;
   IF (ABALOS = -98.0 OR ABALOS = -99.0) THEN ABALOS = .;
   IF (ABALOSSD = -98.0 OR ABALOSSD = -99.0) THEN ABALOSSD = .;
   IF (N = -98 OR N = -99) THEN N = .;
   IF (SE = -98.0 OR SE = -99.0) THEN SE = .;
*/

RUN ;
